%if 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global libname cagraph

Name:           python-cagraph
Version:        1.2
Release:        13%{?dist}
Summary:        A PyGTK Cairo chart widget

Group:          Development/Libraries
License:        GPLv3+
URL:            http://code.google.com/p/cagraph/
Source0:        http://cagraph.googlecode.com/files/%{libname}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       pygtk2

%description
A PyGTK widget for plotting charts and graphs using Python, GTK and Cairo.


%prep
%setup -q -n %{libname}-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Remove shebang from libraries
# http://code.google.com/p/cagraph/issues/detail?id=5
for lib in `find %{buildroot}%{python_sitelib}/%{libname} -name "*.py"`; do
 sed '/#!\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
# Remove execution permissions from doc files
chmod -x %{_builddir}/%{libname}-%{version}/examples/*


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING PKG-INFO README examples
%{python_sitelib}/%{libname}-%{version}-*.egg-info
%{python_sitelib}/%{libname}



%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 12 2012 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.2-10
- Change libname variable to global
- Drop FSF address patch http://code.google.com/p/cagraph/issues/detail?id=3
- Drop support for old Fedora releases in python_sitelib definition
- Drop cairo dependency
- Add examples to documentation

* Wed Dec 21 2011 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.2-9
- Remove python shebang from libraries

* Fri Dec 09 2011 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.2-8
- Fix documentation installation
- Change license to GPLv3+
- Add patch to fix FSF postal address

* Wed Nov 23 2011 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.2-7
- Make scripts executable to fix rpmlint errors

* Mon Oct 10 2011 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.2-6
- Minor fixes

* Sat Oct 08 2011 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.2-5
- Fix Suse dependencies

* Sat Oct 08 2011 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.2-4
- Suse compatibility

* Tue Sep 27 2011 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.2-3
- noarch exception for EPEL

* Tue Sep 27 2011 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.2-2
- Fix BuildArch

* Tue Sep 27 2011 Juan Orti Alcaine <j.orti.alcaine@gmail.com> - 1.2-1
- First edition of the package
